- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Attributes | Static Public Attributes | Protected Member Functions

# FbxDisplayLayer Class Reference

This reference page is linked to from the following overview topics: List of Python Fbx classes.

Search for all occurrences

## Detailed Description

Class for display layers.

Display layers are overlapping views of your scene that contain a list of members. The members are exclusive. Members cannot be part of multiple display layers. Display layers enables user to organize elements of scene and affect visibility and manipulation attributes of multiple objects at once.

Definition at line 29 of file fbxdisplaylayer.h.

`#include <fbxdisplaylayer.h>`

Inheritance diagram for FbxDisplayLayer:
[legend]

List of all members.

## Public Attributes
FbxPropertyT< FbxDouble3 > | Color
| This property stores the color of this display layer.
FbxPropertyT< FbxBool > | Show
| This property stores the visibility of this display layer.
FbxPropertyT< FbxBool > | Freeze
| This property stores the manipulation state of this display layer.
FbxPropertyT< FbxBool > | LODBox
| This property stores the level of detail mode of this display layer.
## Static Public Attributes
static const FbxDouble3 | sColorDefault
## Protected Member Functions
| FbxDisplayLayer (FbxManager &pManager, char const *pName)
bool | ConstructProperties (bool pForceSet)

## Constructor & Destructor Documentation

FbxDisplayLayer | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

bool ConstructProperties | ( | bool | pForceSet | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxObject.

## Member Data Documentation

FbxPropertyT<FbxDouble3> Color

Search for all occurrences

This property stores the color of this display layer.

Default value is FbxDouble3(0.8,0.8,0.8).

Definition at line 43 of file fbxdisplaylayer.h.

FbxPropertyT<FbxBool> Show

Search for all occurrences

This property stores the visibility of this display layer.

Default value is true.

Definition at line 48 of file fbxdisplaylayer.h.

FbxPropertyT<FbxBool> Freeze

Search for all occurrences

This property stores the manipulation state of this display layer.

Default value is false.

Definition at line 53 of file fbxdisplaylayer.h.

FbxPropertyT<FbxBool> LODBox

Search for all occurrences

This property stores the level of detail mode of this display layer.

Default value is false.

Definition at line 58 of file fbxdisplaylayer.h.

const FbxDouble3 sColorDefault `[static]`

Search for all occurrences

Definition at line 65 of file fbxdisplaylayer.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/fbxdisplaylayer.h

FbxDisplayLayer FbxDisplayLayer FbxDisplayLayer FbxDisplayLayer FbxDisplayLayer FbxDisplayLayer FbxDisplayLayer FbxDisplayLayer FbxDisplayLayer FbxDisplayLayer
FbxDisplayLayer FbxDisplayLayer FbxDisplayLayer FbxDisplayLayer FbxDisplayLayer FbxDisplayLayer FbxDisplayLayer FbxDisplayLayer FbxDisplayLayer FbxDisplayLayer